FROM cypress/base:16.14.0-slim AS builder
WORKDIR /usr/src/app
COPY . .
RUN npm i && npm run build
RUN rm -rf ./node_modules && rm tsconfig.json && rm -rf ./cypress
RUN mv ./dist ./cypress

FROM cypress/base:16.14.0-slim
WORKDIR /usr/src/app
COPY --from=builder /usr/src/app .
RUN npm i --production
CMD ["npm","run","ci:report"]

